OGRE: Ogre::ScreenRatioPixelCountLodStrategy Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ScreenRatioPixelCountLodStrategy Class Reference
Core » Level of Detail

`#include <OgrePixelCountLodStrategy.h>`

Inheritance diagram for Ogre::ScreenRatioPixelCountLodStrategy:
[legend]

## Public Member Functions
| ScreenRatioPixelCountLodStrategy ()
| Default constructor.
| ~ScreenRatioPixelCountLodStrategy ()
Public Member Functions inherited from Ogre::PixelCountLodStrategyBase
| PixelCountLodStrategyBase (const String &name)
| Default constructor.
Real | getBaseValue () const override
| Get the value of the first (highest) level of detail.
ushort | getIndex (Real value, const Material::LodValueList &materialLodValueList) const override
| Get the index of the LOD usage which applies to a given value.
ushort | getIndex (Real value, const Mesh::MeshLodUsageList &meshLodUsageList) const override
| Get the index of the LOD usage which applies to a given value.
bool | isSorted (const Mesh::LodValueList &values) const override
| Determine if the LOD values are sorted from greatest detail to least detail.
void | sort (Mesh::MeshLodUsageList &meshLodUsageList) const override
| Sort mesh LOD usage list from greatest to least detail.
Real | transformBias (Real factor) const override
| Transform LOD bias so it only needs to be multiplied by the LOD value.
Public Member Functions inherited from Ogre::LodStrategy
| LodStrategy (const String &name)
| Constructor accepting name.
virtual | ~LodStrategy ()
| Virtual destructor.
void | assertSorted (const Mesh::LodValueList &values) const
| Assert that the LOD values are sorted from greatest detail to least detail.
const String & | getName () const
| Get the name of this strategy.
Real | getValue (const MovableObject *movableObject, const Camera *camera) const
| Compute the LOD value for a given movable object relative to a given camera.
virtual Real | transformUserValue (Real userValue) const
| Transform user supplied value to internal value.
Public Member Functions inherited from Ogre::Singleton< ScreenRatioPixelCountLodStrategy >
| ~Singleton (void)

## Static Public Member Functions
static ScreenRatioPixelCountLodStrategy & | getSingleton (void)
| Get the singleton instance.
static ScreenRatioPixelCountLodStrategy * | getSingletonPtr (void)
| Get the singleton instance.
Static Public Member Functions inherited from Ogre::Singleton< ScreenRatioPixelCountLodStrategy >
static ScreenRatioPixelCountLodStrategy & | getSingleton (void)
| Get the singleton instance.
static ScreenRatioPixelCountLodStrategy * | getSingletonPtr (void)
| Get the singleton instance.

## Constructor & Destructor Documentation

## ◆ ScreenRatioPixelCountLodStrategy()

Ogre::ScreenRatioPixelCountLodStrategy::ScreenRatioPixelCountLodStrategy | ( |  | ) |

Default constructor.

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~ScreenRatioPixelCountLodStrategy()

Ogre::ScreenRatioPixelCountLodStrategy::~ScreenRatioPixelCountLodStrategy | ( |  | ) |

## Member Function Documentation

## ◆ getSingleton()

ScreenRatioPixelCountLodStrategy & Ogre::ScreenRatioPixelCountLodStrategy::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

References ScreenRatioPixelCountLodStrategy().

## ◆ getSingletonPtr()

ScreenRatioPixelCountLodStrategy * Ogre::ScreenRatioPixelCountLodStrategy::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

References ScreenRatioPixelCountLodStrategy().

The documentation for this class was generated from the following file:

- OgrePixelCountLodStrategy.h